> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single style by ID

> Retrieves detailed information about a single style by its ID. Returns the same structure as the list endpoint but for a single style.



## OpenAPI

````yaml /openapi/external.enriched.json get /api/styles/{id}
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/styles/{id}:
    get:
      tags:
        - Styles
      summary: Get a single style by ID
      description: >-
        Retrieves detailed information about a single style by its ID. Returns
        the same structure as the list endpoint but for a single style.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    ApiResponseOfStyleDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleDto'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
      additionalProperties: false
    ApiResponseStatus: {}
    StyleDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/StyleStateDto'
        description:
          type:
            - 'null'
            - string
        logo:
          type:
            - 'null'
            - string
        extraText:
          type:
            - 'null'
            - string
        lastUpdated:
          type: string
          format: date-time
        styleInfoUpdatedOn:
          type:
            - 'null'
            - string
          format: date-time
        season:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SeasonStyleDto'
        group:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleGroupDto'
        brand:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/BrandStyleDto'
        supplier:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SupplierDto'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/CategoryDto'
        styleColors:
          type: array
          items:
            $ref: '#/components/schemas/StyleColorDto'
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldResponseDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    StyleStateDto: {}
    SeasonStyleDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        project:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleGroupDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    BrandStyleDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        contactPersonId:
          type:
            - 'null'
            - string
        contactPersonName:
          type:
            - 'null'
            - string
      additionalProperties: false
    SupplierDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        contactPersonId:
          type:
            - 'null'
            - string
        contactPersonName:
          type:
            - 'null'
            - string
        country:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CountryDto'
        contactPerson:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ContactPersonDto'
      additionalProperties: false
    CategoryDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleColorDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId1:
          type:
            - 'null'
            - string
        customId2:
          type:
            - 'null'
            - string
        state:
          type:
            - 'null'
            - string
      additionalProperties: false
    CustomFieldResponseDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId1:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldValueDto'
        perColorValues:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldPerColorValueDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    CountryDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    ContactPersonDto:
      type: object
      properties:
        name:
          type:
            - 'null'
            - string
        email:
          type:
            - 'null'
            - string
        status:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ContactPersonStatusDto'
      additionalProperties: false
    CustomFieldValueDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    CustomFieldPerColorValueDto:
      type: object
      properties:
        styleColorId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldValueDto'
      additionalProperties: false
    ContactPersonStatusDto: {}

````